Bug 98624 - Kernel oops doing swapoff on wrong device.
Kernel oops doing swapoff on wrong device.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-05 15:26 EDT by Dams
Modified: 2015-01-04 17:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-07-05 15:26:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I wanted to 'umount' one swap partition and mistype the device.
so i've done 'swapoff /dev/sda' instead of /dev/sda1. swapoff did a segmentation
fault. Here is the trace from the dmesg command : 

Unable to handle kernel paging request at virtual address 00001000
 printing eip:
c0263fe0
*pde = 00000000
Oops: 0000
vfat fat loop nls_iso8859-1 udf tuner tvaudio bttv videodev i2c-algo-bit emu10k1
ac97_codec soundcore ide-cd radeon agpgart w83781d eeprom i2c-proc i2c-amd756
CPU:    1
EIP:    0060:[<c0263fe0>]    Not tainted
EFLAGS: 00010206
                                                                               
                   
EIP is at atomic_dec_and_lock [kernel] 0x10 (2.4.20-18.9smp)
eax: 00001000   ebx: 00001000   ecx: 00001000   edx: cc1fa000
esi: c03bfb00   edi: c040df50   ebp: c3015940   esp: cc1fbf54
ds: 0068   es: 0068   ss: 0068
Process swapoff (pid: 13660, stackpage=cc1fb000)
Stack: 00001000 ffffffea c040df50 c0167d21 00001000 c03bfb00 cc1fbf90 ffffffea
       c015d685 00001000 00000002 c0149a80 cc1fbf90 00000002 00000000 00001000
       0804b000 c0138c7f 0804b000 00001000 bfffe458 cc1fa000 00000004 cc1fa000
Call Trace:   [<c0167d21>] dput [kernel] 0x21 (0xcc1fbf60))
[<c015d685>] path_release [kernel] 0x15 (0xcc1fbf74))
[<c0149a80>] sys_swapoff [kernel] 0x240 (0xcc1fbf80))
[<c0138c7f>] sys_brk [kernel] 0xff (0xcc1fbf98))
[<c010972f>] system_call [kernel] 0x33 (0xcc1fbfc0))
                                                                               
                   
                                                                               
                   
Code: 8b 39 89 fa 4a 74 12 89 f8 f0 0f b1 11 31 db 39 f8 75 ed 89


Version-Release number of selected component (if applicable):
kernel-smp(0:2.4.20-18.9).athlon

How reproducible:
Didn't try

Steps to Reproduce:
1. swapoff /dev/sda
2. dmesg
    

Additional info:
Comment 1 Dams 2003-08-12 08:49:03 EDT
How reproducible: often.
Comment 2 John Byrne 2003-11-18 19:29:07 EST
At least for the 2.4.20-20.9 kernel this problem is caused by a
path_release() on the uninitialized variable "nd" in sys_swapoff().
Comment 3 Bugzilla owner 2004-09-30 11:41:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.